Skip to main content
GET
List sessions
Minimum role required: Viewer

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Query Parameters

limit
integer<int64>

max rows to return (default 50, max 100)

offset
integer<int64>

rows to skip for pagination

case-insensitive match on phone/session/workflow

workflow_id
string

only sessions for this workflow

status
string[] | null

filter by session status (ACTIVE/COMPLETED/CANCELLED/EXPIRED); repeatable

source
string[] | null

filter by source: workflow and/or interactive; repeatable

dedicated
string[] | null

filter by type: shared and/or dedicated; repeatable

started_after
string

only sessions started at/after this RFC3339 time

started_before
string

only sessions started at/before this RFC3339 time

ended_after
string

only sessions de-allocated at/after this RFC3339 time

ended_before
string

only sessions de-allocated at/before this RFC3339 time

sort
string

sort column: started|ended|status|duration|source (default started)

order
string

sort direction: asc|desc (default desc)

Response

OK

One page of the sessions list: active and queued sessions pinned on top, completed history paginated beneath.

limit
integer<int64>
required

Page size used for this response.

offset
integer<int64>
required

Pagination offset used for this response.

sessions
object[] | null
required

Page of session rows.

total
integer<int64>
required

Total number of sessions matching the query.